Subject: Re: Kernel oops with 2.6.26, padlock and ipsec: probably problem with fpu state changes

From: Suresh Siddha <[email-masked]>
Date: Mon, 11 Aug 2008 15:57:09 -0700

On Sat, Aug 09, 2008 at 10:41:48PM -0700, H. Peter Anvin wrote:
> Herbert Xu wrote:
> > On Sat, Aug 09, 2008 at 10:52:48AM -0700, Suresh Siddha wrote:
> >>> Actually I was mistaken, Intel has done the right thing by not
> >>> generating a fault on crc32c with TS set.
> >> Yes, the documentation seems to says so. But I am double checking
> >> with experts inside, to make sure we got the SDM right.

I got confirmation that crc32 instructions don't generate DNA when cr0.TS bit
is set. So no changes required for Austin's patches in this context.

thanks,
suresh